@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/alignment';
@use 'shop/resources/scss/base/mixins/breakpoints';

.loader {
    @include breakpoints.screen-l-and-up {
        width: 50px;
    }
    @include alignment.center-content;

    display: block;
    position: relative;
    margin: 0 auto;
    width: 30px;
    max-width: 80%;
    height: auto;

    > .path {
        stroke-dasharray: 100;

        stroke: colors.$color-primary;
        stroke-linecap: round;
        animation: dash 1.5s ease-in-out infinite;
    }

    &.loader--animate {
        animation: rotate 2s linear infinite;
    }

    &.loader--page {
        height: 50vh;
    }

    &.loader--button {
        padding: 10px;
        width: 50px;

        .path {
            stroke: white;
        }
    }
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes dash {
    0% {
        stroke-dasharray: 1, 150;
        stroke-dashoffset: 0;
    }

    50% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -35px;
    }

    100% {
        stroke-dasharray: 90, 150;
        stroke-dashoffset: -124px;
    }
}
